<?php

namespace App\Services\Equipment;

use App\Entities\Equipment\DomainEntity;
use App\Models\Equipment\DomainModel;
use CodeIgniter\HTTP\IncomingRequest;

class DomainService extends EquipmentService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Domain');
    }
    public function getModelClass(): DomainModel
    {
        return new DomainModel();
    }
    public function getEntityClass(): DomainEntity
    {
        return new DomainEntity();
    }
    public function getFormFields(): array
    {
        return [
            "clientinfo_uid",
            "domain",
            "status",
        ];
    }
    public function getFilterFields(): array
    {
        return ["clientinfo_uid", 'status',];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }

    public function getIndexFields(): array
    {
        return ['clientinfo_uid', 'domain', 'status'];
    }
}
